/** @type {import('tailwindcss').Config} */
module.exports = {
  content: [
    "./templates/**/*.html",
    "./content/**/*.md",
           ],
  theme: {
    extend: {
        fontFamily: {
          'sans': ['LunaSans', 'system-ui', 'sans-serif'],
          'librezo': ["Neucha"],
        },
        dropShadow: {
          'purple' :  '1px 2px 1px rgba(172, 68, 255, 1)',
        },
        colors: {
          "mattermost": "#734596",
          "nexctloud": "#99cde9",
          "bbb": "#83d0f5",
          "lib-purple": "#ac44ff",
          "lib-blue": "#0294d9",
        },
    },
    container: {
      padding: {
        DEFAULT: '1rem',
        sm: '2rem',
        lg: '4rem',
        xl: '5rem',
        '2xl': '6rem',
      },
    },
  },
  plugins: [
    require('@tailwindcss/typography'),
    ],
}

